#! /bin/bash
#
# sperren.sh

export DISPLAY=:0
/usr/bin/X11/slock &

/usr/bin/X11/X :1 &
sleep 2
export DISPLAY=:1

if [ "$1" = "-u" ]; then
  /usr/bin/X11/xclock -geometry 200x200+20+20 -update 1 &
else
  /usr/bin/X11/xclock -geometry 1x1+0+0 -update 1 &
fi

sleep 1
/usr/bin/xsetroot -bitmap /root/bin/closed.xbm

exit 0

